static char *RCSid = "$Header: /usr/brule/guest/empire/empire/emprcs/lib/global/nuke.c,v 2.1 1995/07/27 20:45:41 empire Exp $";

/*
 * nuke.c
 *
 * nuke characteristics structure.  Be sure and change
 * N_MAXNUKE in nuke.h if any more slots get added.
 * 
 */

#include "misc.h"
#include "nuke.h"
#include "file.h"
#include "toolkit.h"

struct nchrstr nchr[N_MAXNUKE] = {
	/* name         lcm  hcm  oil  rads blst dam    cost  tech lbs flags */
#ifndef NONUKES
#ifdef EURO
NUK_CLASS,        "10kt fission",  50,  50,  25,  60,  3,   70,   5000,  260,4,0,
NUK_CLASS,        "15kt fission",  50,  50,  25,  70,  3,   90,  10000,  280,5,0,
NUK_CLASS,        "50kt fission",  60,  60,  30,  80,  3,  100,  20000,  300,6,0,
NUK_CLASS,        "100kt fission", 75,  75,  40, 100,  4,  125,  25000,  320,8,0,
NUK_CLASS,        "5kt fusion",    15,  15,  15,  20,  2,   80,  10000,  340,1,0,
NUK_CLASS,        "50kt fusion",   40,  40,  35,  40,  3,   90,  12500,  360,3,0,
NUK_CLASS,        "250kt fusion",  50,  50,  45,  50,  4,  110,  15000,  380,4,0,
NUK_CLASS,        "500kt fusion",  60,  60,  50,  60,  5,  120,  20000,  400,5,0,
NUK_CLASS,        "1mt fusion",    75,  75,  50,  80,  6,  150,  25000,  420,5,0,
NUK_CLASS,        "3mt fusion",   100, 100,  75, 100,  7,  170,  35000,  440,6,0,
NUK_CLASS,        "5mt fusion",   120, 120, 100, 120,  8,  190,  50000,  460,8,0,
#else  
NUK_CLASS,        "small",         50,  50,  50,  50,  1,   80,   2500,  260,  6, 0,
NUK_CLASS,        "medium",        75,  75,  75,  75,  2,   90,   5000,  320,  8, 0,
NUK_CLASS,        "large",        100, 100, 100, 100,  3,  101,  10000,  380, 10, 0,
NUK_CLASS,	"",		  0,   0,   0,   0,  0,    0,      0,    0,  0, 0,
NUK_CLASS,	"",		  0,   0,   0,   0,  0,    0,      0,    0,  0, 0,
NUK_CLASS,	"",		  0,   0,   0,   0,  0,    0,      0,    0,  0, 0,
NUK_CLASS,	"",		  0,   0,   0,   0,  0,    0,      0,    0,  0, 0,
NUK_CLASS,	"",		  0,   0,   0,   0,  0,    0,      0,    0,  0, 0,
NUK_CLASS,	"",		  0,   0,   0,   0,  0,    0,      0,    0,  0, 0,
NUK_CLASS,	"",		  0,   0,   0,   0,  0,    0,      0,    0,  0, 0,
NUK_CLASS,	"",		  0,   0,   0,   0,  0,    0,      0,    0,  0, 0,
#endif /*EURO*/
NUK_CLASS,	"50kt neutron",  60,  60,  30,  75,  4,   30,  15000,  425,  2, N_NEUT,
NUK_CLASS,	"100kt neutron", 75,  75,  40, 100,  6,   50,  18000,  465,  3, N_NEUT,
NUK_CLASS,	"",		  0,   0,   0,   0,  0,    0,      0,    0,  0, 0,
#endif /* NONUKES */

NUK_CLASS,	"",		  0,   0,   0,   0,  0,    0,      0,    0,  0, 0,
};

int	nuk_maxno   = (sizeof(nchr) / sizeof(struct nchrstr)) - 1;
