/*
 * xy.h
 *
 * constants having to do with locations
 *
 * $Revision: 2.0 $ $Date: 1995/07/27 05:29:42 $
 */

#ifndef _XY_H_
#define _XY_H_

#include "prototype.h"
#include "sect.h"

struct range {
	coord lx;	/* low-range x,y */
	coord ly;
	coord hx;	/* high-range x,y */
	coord hy;
	int width;	/* range width, height */
	int height;
};

s_char *ownxy _PROTO((struct sctstr *sp));
s_char *xyas _PROTO((coord x, coord y, natid country));
s_char *xyfmt();

coord xnorm _PROTO((coord x));
coord ynorm _PROTO((coord y));
coord xabs _PROTO((struct natstr *np, coord relx));
coord yabs _PROTO((struct natstr *np, coord rely));
coord xrel _PROTO((struct natstr *np, coord absx));
coord yrel _PROTO((struct natstr *np, coord absy));

#endif /* _XY_H_ */

