#ifndef lint
static char *RCSid = "$Header: /sequent2/empire/EMP/player/commands/RCS/coll.c,v 1.6 89/09/17 21:15:18 mr-frog Exp $";
#endif /* not lint */

/*
 * shar.c
 *
 * Transfer a loan by buying it out
 *
 * from PSL Empire, 1985
 */

#include <math.h>
#include "misc.h"
#include "var.h"
#include "file.h"
#include "sect.h"
#include "item.h"
#include "loan.h"
#include "news.h"
#include "nat.h"
#include "xy.h"
#include "player.h"

shark()
{
	extern	char *argp[];
	register int arg;
	register int i;
	register int val;
	time_t	now;
	char	*p;
	struct	lonstr loan;
	struct	sctstr sect;
	struct natstr *natp;
	struct natstr *oldie;
	coord	x, y;
	long	due;
	long	last;
	long	rdur;
	long	xdur;
	double	rate;
	double	owed;
	long payment;
	double	pay;
	s_char buf[1024];

        p = getstarg(player->argp[1], "Transfer which loan #: ", buf);
        if (p == 0)
            return RET_SYN;
        if (*p == 0)
            return RET_SYN;
        arg = atoi(p);
        if (arg < 0)
            return RET_SYN;
	if (!getloan(arg,&loan)||loan.l_loner==player->cnum || loan.l_ldur == 0
		|| loan.l_status == LS_PROPOSED) {
		pr("Invalid loan\n");
		return RET_FAIL;
	}
	(void) time(&now);
	due = loan.l_duedate;
	if (now <= due) {
		pr("There has been no default on loan %d\n", arg);
		return RET_FAIL;
	}
	last = loan.l_lastpay;
	if (last < due && due < now) {
		rdur = due - last;
		xdur = now - due;
	} else if (due < last) {
		rdur = 0;
		xdur = now - last;
	}
	rate = loan.l_irate / (loan.l_ldur * 8.64e6);

	owed = ((rdur * rate) + (xdur * rate * 2.0) + 1.0);
	if (((1 << 30) / owed) < loan.l_amtdue)
		owed = (1 << 30);
	else
		owed *= loan.l_amtdue;
	pr("That loan is worth $%.2f.\n", owed);
	natp = getnatp(player->owner);
	payment = owed * (1.0 + loan.l_irate / 100.0);
	if (payment > natp->nat_money - 100.0){
		pr("You do not have enough to cover that loan\n");
	}else{
		wu(0, loan.l_lonee,
			"%s bought loan #%d.  You now owe him!\n",
				cname(player->cnum),
				arg);
		wu(0, loan.l_loner,
			"%s bought loan #%d out from under you for %d\n",
			cname(player->owner), arg, payment);
		pr("You now own loan #%d.  Go break some legs.\n", arg);
	}
/*	NAT_DELTA(natp->nat_money, loan.l_loner, payment);*/
	oldie = getnatp(loan.l_loner);
	oldie->nat_money += payment;
	player->dolcost += payment;
	loan.l_loner = player->cnum;
	putloan(arg, &loan);
	return RET_OK;
}
