#ifndef lint
static char *RCSid = "$Header: /usr/brule/guest/empire/empire/emprcs/server/timestamp.c,v 2.6 1995/10/01 21:57:37 empire Exp $";
#endif

/*
 * timestamp.c
 *
 * Timestamp writer/maintainer
 *
 * Steve McClure, 1996
 */

#include "options.h"
#include "misc.h"
#include "player.h"
#include "keyword.h"
#include "empthread.h"
#include <stdio.h>

#ifdef MOB_ACCESS
/*ARGSUSED*/
void
mobility_check(argv)
void	*argv;

{
        extern  s_char *timestampfil;
	extern  int updating_mob;
	extern  int timestamp_fixing;
	struct  mob_acc_globals timestamps;
	time_t  now;
	time_t  offset;
	FILE    *fp;
	int     hour[2];

	time(&now);
	if ((fp = fopen(timestampfil, "r+")) == NULL) {
	  logerror("Unable to edit timestamp file.");
	} else {
	  rewind(fp);
	  fread(&timestamps, sizeof(timestamps), 1, fp);
	  offset = timestamps.timestamp;
	  timestamps.timestamp = now;
	  rewind(fp);
	  fwrite(&timestamps, sizeof(timestamps), 1, fp);
	  fclose(fp);

	  if (timestamps.starttime > offset && now >= timestamps.starttime) {
	    logerror("Adjusting mobility for downtime across mobility reactivation...");
	    updating_mob = 0;
	    timestamp_fixing = 0;
	    update_all_mob();
	    offset = now;
	  }
	  if (now >= timestamps.starttime && gamehours(now, hour)) {
	    logerror("Turning on mobility updating.");
	    updating_mob = 0;
	    update_all_mob();
	    updating_mob = 1;
	    offset = now;
	  } else {
	    logerror("Turning off mobility updating.");
	    updating_mob = 0;
	  }
	}
	time(&now);
	logerror("Adjusting timestamps at %s (was %s)", ctime(&now), ctime(&offset));
	update_timestamps(offset);
	time(&now);
	logerror("Done at %s", ctime(&now));
	while (1) {
	        now = now + 180; /* Every 3 minutes */
                empth_sleep(now);
		time(&now);
/*		logerror("Updating timestamp file at %s", ctime(&now));*/
		if ((fp = fopen(timestampfil, "r+")) == NULL) {
		  logerror("Unable to edit timestamp file.");
		  continue;
		}
		rewind(fp);
		fread(&timestamps, sizeof(timestamps), 1, fp);
		timestamps.timestamp = now;
		rewind(fp);
		fwrite(&timestamps, sizeof(timestamps), 1, fp);
		fclose(fp);
		if (!gamehours(now, hour)) {
		  if (updating_mob == 1) {
			update_all_mob();
			logerror("Turning off mobility updating (gamehours).");
			updating_mob = 0;
		  }
		} else if (updating_mob == 1 && now < timestamps.starttime) {
			logerror("Turning off mobility updating at %s", ctime(&now));
			update_all_mob();
			updating_mob = 0;
  	        } else if (updating_mob == 0 && now >= timestamps.starttime) {
		        logerror("Turning on mobility updating at %s", ctime(&now));
			update_all_mob();
			updating_mob = 1;
	        }

	}
	/*NOTREACHED*/
}
#endif MOB_ACCESS

