#include <struct.h>
#include <assert.h>
#include <stdio.h>
#include <ctype.h>
#include <malloc.h>
#include "edbproc.h"
#include "edbpriv.h"	/* private structures */
#include "misc.h"
#include "file.h"
#include "xy.h"
#include "nsc.h"
#include "edb.h"


void sctstr_putvar(ix, val, item)
	int ix;
	int val;
	struct genobject *item;
{
	putvar(ix, val, item, EF_SECTOR);
}

int  sctstr_getvar(ix, item)
	int ix;
	struct genobject *item;
{
	return getvar(ix, item, EF_SECTOR);
}

void lndstr_putvar(ix, val, item)
	int ix;
	int val;
	struct genobject *item;
{
	putvar(ix, val, item, EF_LAND);
}

int  lndstr_getvar(ix, item)
	int ix;
	struct genobject *item;
{
	return getvar(ix, item, EF_LAND);
}

void shpstr_putvar(ix, val, item)
	int ix;
	int val;
	struct genobject *item;
{
	putvar(ix, val, item, EF_SHIP);
}

int  shpstr_getvar(ix, item)
	int ix;
	struct genobject *item;
{
	return getvar(ix, item, EF_SHIP);
}

void lndcls_putvar(ix, val, item)
	int ix;
	int val;
	struct genobject *item;
{
	struct lchrstr *lp;
	lp = (struct lchrstr *) item;
        (void) vl_set(ix, (u_int)val, lp->l_vtype,
        		lp->l_vamt, &lp->l_nv, MAXCHRNV);
}

int  lndcls_getvar(ix, item)
	int ix;
	struct genobject *item;
{
	struct lchrstr *lp;
	lp = (struct lchrstr *) item;
        return vl_find(ix, lp->l_vtype, lp->l_vamt, lp->l_nv);
}

